package com.yanzuoguang.mq.vo.req;

import io.swagger.annotations.ApiModelProperty;

/**
 * 注册token请求参数
 *
 * @author 颜佐光
 */
public class RegisterServerTokenReqVo extends ServerQueueReqVo {
    /**
     * 构造函数
     *
     * @param queueName
     * @param token
     * @param fairTime
     */
    public RegisterServerTokenReqVo(String queueName, String token, long fairTime) {
        super(queueName);
        this.token = token;
        this.fairTime = fairTime;
    }

    /**
     * 当前tokenId
     */
    @ApiModelProperty(notes = "当前tokenId")
    private String token;

    /**
     * 从当前时间开始的失效时长(毫秒)
     */
    @ApiModelProperty(notes = "从当前时间开始的失效时长(毫秒)")
    private long fairTime;

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public long getFairTime() {
        return fairTime;
    }

    public void setFairTime(long fairTime) {
        this.fairTime = fairTime;
    }
}
